DACS_STS(8) | DACS Web Services and CGI | DACS_STS(8)

## NAME

dacs_sts — Secure Token Service for managed Information Cards

## SYNOPSIS

`dacs_sts` [`dacsoptions`]

## DESCRIPTION

This program is part of the DACS suite.

The dacs_sts web service is the Secure Token Service for DACS's managed Information Cards.

Refer to dacs_managed_infocard(8) for additional information.

### Security

Depending on the application, consider adding a custom access control rule for dacs_sts (e.g., to limit access to a particular host or subnet, or even certain identities).

### Configuration

The following configuration variables are available:

`infocard_sts_password`

  For managed InfoCards generated with a INFOCARD_STS_AUTH_TYPE of "`passwd`" and an INFOCARD_STS_PASSWORD_METHOD of "`sts`", this is the global user password that must be provided. Changing this password affects all managed InfoCard accounts.

## OPTIONS

### Web Service Arguments

None.

## DIAGNOSTICS

The program exits `0` if everything was fine, `1` if an error occurred.

## BUGS

Secure token replay detection is not yet implemented.

As this is a relatively new and complicated feature, please test carefully.

## SEE ALSO

dacsinfocard(1), dacs.conf(5), dacs_authenticate(8), dacs_infocard(8), dacs_managed_infocard(8), dacs_mex(8), Using InfoCards With DACS

## AUTHOR

Distributed Systems Software (www.dss.ca)

## COPYING

Copyright © 2003-2012 Distributed Systems Software. See the `LICENSE` file that accompanies the distribution for licensing information.

DACS Version 1.4.38a | 23-Nov-2016 | DACS_STS(8)

Table of Contents

Font:

- Z
- Z
- Z
- Z

−−

Set

++

$Id: dacs_sts.8.xml 2563 2012-02-07 22:40:41Z brachman $